CREATE TABLE module_fileserver_users (
	id				int(10) unsigned NOT NULL auto_increment,
	name			VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL default '',
	sys_name		VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL default '',
	password		VARCHAR(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL default '',
	password_type	enum('plain', 'crypt') NOT NULL default 'plain',
	PRIMARY KEY (id),
	UNIQUE KEY name (name)
) TYPE=MyISAM;

CREATE TABLE module_fileserver_shares (
	id				int(10) unsigned NOT NULL auto_increment,
	name			VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '',
	description		VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '',
	path			VARCHAR(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL default '',
	writable		enum('false', 'true') NOT NULL default 'false',
	guest_ok		enum('false', 'true') NOT NULL default 'false',
	valid_users		enum('any', 'select') NOT NULL default 'any',
	PRIMARY KEY (id),
	UNIQUE KEY name (name)
) TYPE=MyISAM;

CREATE TABLE module_fileserver_hosts (
	id				int(10) unsigned NOT NULL auto_increment,
	name			VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL default '',
	PRIMARY KEY (id),
	UNIQUE KEY name (name)
) TYPE=MyISAM;

CREATE TABLE module_fileserver_valid_users (
	sid				int(10) unsigned NOT NULL,
	uid				int(10) unsigned NOT NULL,
	PRIMARY KEY (sid, uid)
) TYPE=MyISAM;

CREATE TABLE module_fileserver_params (
	param			VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
	val				VARCHAR(255) CHARACTER SET binary NOT NULL default '',
	PRIMARY KEY (param)
) TYPE=MyISAM;

-- inserting this here because workgroup is a required parameter
INSERT INTO module_fileserver_params (param, val) values ('workgroup','MYGROUP');
